dstr_append
3

# dstr_append

# dstr_append_str

# dstr_append_zt

append string to dstring_t structure

    #include <cds/dstring.h>

      int dstr_append
      dstring_t *dstr
      const char *s
      int len

      int dstr_append_str
      dstring_t *dstr
      const str_t *s

      int dstr_append_zt
      dstring_t *dstr
      const char *s

## Description

All these functions are used for appending strings to dynamic string. They differ only in the string and its length specification.

`dstr_append`

  appends data from buffer `s` of length `len`

`dstr_append_str`

  appends content of string `s` (see )

`dstr_append_zt`

  appends content of zero terminated string `s`

## Return value

All these functions return 0 if successful, nonzero otherwise.

## See Also